For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Donor Accounts
      • GETList Grant Requests
      • GETGet Grant Request
      • POSTSubmit Grant Request
      • POSTReject Grant Request
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Donor AccountsGrant Requests

List Grant Requests

GET
/v1/grant_requests
GET
/v1/grant_requests
$curl -G https://api.givechariot.com/v1/grant_requests \
> -H "Authorization: Bearer <token>" \
> -d donor_account_id=donor_account_01jpjenf5q6cawy43yxfcrxhct
1{
2 "results": [
3 {
4 "id": "grant_req_01jpjenf5q6cawy43yxfcrxhct",
5 "donor_account_id": "donor_account_01jpjenf5q6cawy43yxfcrxhct",
6 "status": "pending",
7 "ein": "53-0196605",
8 "amount_cents": 10000,
9 "frequency": "one_time",
10 "form_url": "https://example.org/donate",
11 "created_at": "2026-04-03T14:22:00Z",
12 "updated_at": "2026-04-03T14:22:00Z",
13 "giving_pool_id": "0bf40881-8ee2-47fb-98ca-f58c7999aa34",
14 "nonprofit_name": "American Red Cross",
15 "purpose": "Disaster relief",
16 "note": "Thank you for your service.",
17 "donor_contact": {
18 "name": "Warren Buffet",
19 "email": "warrenBuffet@example.com",
20 "phone": "+12125550100",
21 "address": {
22 "line1": "3555 Farnam Street",
23 "line2": "string",
24 "city": "Omaha",
25 "state": "NE",
26 "zip": "68131"
27 }
28 },
29 "rejection_reason": "string"
30 },
31 {
32 "id": "grant_req_01jpjenf5q6cawy43yxfcrxhcu",
33 "donor_account_id": "donor_account_01jpjenf5q6cawy43yxfcrxhct",
34 "status": "submitted",
35 "ein": "13-1635294",
36 "amount_cents": 25000,
37 "frequency": "one_time",
38 "form_url": "https://example.org/donate",
39 "created_at": "2026-03-28T10:05:00Z",
40 "updated_at": "2026-03-29T08:00:00Z",
41 "giving_pool_id": "0bf40881-8ee2-47fb-98ca-f58c7999aa34",
42 "nonprofit_name": "World Wildlife Fund",
43 "purpose": "string",
44 "note": "string",
45 "donor_contact": {
46 "name": "Warren Buffet",
47 "email": "warrenBuffet@example.com",
48 "phone": "+12125550100",
49 "address": {
50 "line1": "3555 Farnam Street",
51 "line2": "string",
52 "city": "Omaha",
53 "state": "NE",
54 "zip": "68131"
55 }
56 },
57 "rejection_reason": "string"
58 },
59 {
60 "id": "grant_req_01jpjenf5q6cawy43yxfcrxhcv",
61 "donor_account_id": "donor_account_01jpjenf5q6cawy43yxfcrxhct",
62 "status": "rejected",
63 "ein": "13-1788491",
64 "amount_cents": 500000,
65 "frequency": "one_time",
66 "form_url": "https://example.org/donate",
67 "created_at": "2026-03-20T16:11:00Z",
68 "updated_at": "2026-03-21T09:30:00Z",
69 "giving_pool_id": "0bf40881-8ee2-47fb-98ca-f58c7999aa34",
70 "nonprofit_name": "Doctors Without Borders",
71 "purpose": "string",
72 "note": "string",
73 "donor_contact": {
74 "name": "Warren Buffet",
75 "email": "warrenBuffet@example.com",
76 "phone": "+12125550100",
77 "address": {
78 "line1": "3555 Farnam Street",
79 "line2": "string",
80 "city": "Omaha",
81 "state": "NE",
82 "zip": "68131"
83 }
84 },
85 "rejection_reason": "Grant amount exceeds donor's available balance."
86 }
87 ],
88 "next_page_token": "c3f685f2-2dda-4956-815b-39867a5e5638"
89}

Returns a list of Grant Requests accessible to the authenticated DAF account.

Use donor_account_id to retrieve all Grant Requests associated with a specific donor.

Was this page helpful?
Previous

Get Grant Request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

donor_account_idstringOptional

Filter Grant Requests by the ID of the associated Donor Account.

page_limitintegerOptionalDefaults to 10
The number of results to return. Defaults to 10, max is 100.
page_tokenstringOptional
A token to retrieve the next page of results.

Response

OK
resultslist of objects
next_page_tokenstring
A token to retrieve the next page of results. Absent when there are no more results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error